Generation Framework

## org.eclipse.gmf.codegen.util
Class CodegenEmitters

    java.lang.Object
      org.eclipse.gmf.codegen.util.CodegenEmitters

    public class CodegenEmitters

extends java.lang.Object

Constructor Summary
`CodegenEmitters(boolean useBaseTemplatesOnly, java.lang.String templateDirectory, boolean includeDynamicModelTemplates)`

Method Summary
`org.eclipse.gmf.internal.common.codegen.TextMerger` `createMergeService()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getAbstractExpressionEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getAbstractNavigatorItemEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getAbstractParserEmitter()`
`java.lang.String` `getAbstractParserName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getActionBarAdvisorEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getActionBarContributorEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getActivatorEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getAppearancePreferencePageEmitter()`
`java.lang.String` `getAppearancePreferencePageName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getApplicationEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getBaseEditHelperEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getBaseItemSemanticEditPolicyEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getBuildPropertiesEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getBundleManifestEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getChildContainerCanonicalEditPolicyEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getChildNodeLabelEditPartEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getCompartmentEditPartEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getCompartmentItemSemanticEditPolicyEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getCompartmentViewFactoryEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getCompositeParserEmitter()`
`java.lang.String` `getCompositeParserName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getConnectionsPreferencePageEmitter()`
`java.lang.String` `getConnectionsPreferencePageName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getContributionItemProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getCreateLinkCommandEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getCreateNodeCommandEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getCreateRefLinkCommandEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getCreateShortcutActionEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getCreateShortcutDecorationsCommandEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getCreationWizardEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getCreationWizardPageEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getDeleteElementActionEmitter()`
`java.lang.String` `getDeleteElementActionName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getDiagramCanonicalEditPolicyEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getDiagramContentInitializerEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getDiagramEditorContextMenuProviderEmitter()`
`java.lang.String` `getDiagramEditorContextMenuProviderName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getDiagramEditorUtilEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getDiagramEditPartEmitter()`
`org.eclipse.gmf.internal.common.codegen.BinaryEmitter` `getDiagramIconEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getDiagramItemSemanticEditPolicyEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getDiagramUpdaterEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getDiagramViewFactoryEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getDocumentProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getDomainModelElementTesterEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getDomainNavigatorContentProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getDomainNavigatorItemEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getDomainNavigatorLabelProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getEditHelperAdviceEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getEditHelperEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getEditorEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getEditPartFactoryEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getEditPartProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getElementChooserEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getElementInitializersEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getElementTypesEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getExternalizeEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getExternalNodeLabelEditPartEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getFloatingLabelViewFactoryEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getGeneralPreferencePageEmitter()`
`java.lang.String` `getGeneralPreferencePageName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getGraphicalNodeEditPolicyEmitter()`
`org.eclipse.gmf.internal.common.codegen.BinaryEmitter` `getGroupIconEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getIconProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getInitDiagramFileActionEmitter()`
`java.lang.String` `getInitDiagramFileActionName(java.lang.Object... input)`
`java.net.URL` `getJMergeControlFile()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getLabelNodeViewFactoryEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getLabelViewFactoryEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getLinkDescriptorEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getLinkEditPartEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getLinkItemSemanticEditPolicyEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getLinkLabelEditPartEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getLinkViewFactoryEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getLoadResourceActionEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getMarkerNavigationProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getMatchingStrategyEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getMessageFormatParserEmitter()`
`java.lang.String` `getMessageFormatParserName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getMessagesEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getMetaModelFacilityEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getMetricProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getModelAccessFacilityEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getModelElementSelectionPageEmitter()`
`java.lang.String` `getModelElementSelectionPageName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getModelingAssistantProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getNativeParserEmitter()`
`java.lang.String` `getNativeParserName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getNavigatorActionProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getNavigatorContentProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getNavigatorGroupEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getNavigatorItemEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getNavigatorLabelProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getNavigatorLinkHelperEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getNavigatorSorterEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getNewDiagramFileWizardEmitter()`
`java.lang.String` `getNewDiagramFileWizardName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getNodeDescriptorEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getNodeEditPartEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getNodeItemSemanticEditPolicyEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getNodeLabelEditPartEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getNodeViewFactoryEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getOCLExpressionFactoryEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getOpenDiagramEditPolicyEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getOptionsFileEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getPaletteEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getParserProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getPerspectiveEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getPluginPropertiesEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getPluginXmlEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getPreferenceInitializerEmitter()`
`java.lang.String` `getPreferenceInitializerName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getPrintfParserEmitter()`
`java.lang.String` `getPrintfParserName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getPrintingPreferencePageEmitter()`
`java.lang.String` `getPrintingPreferencePageName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getPropertySectionEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getPropertySheetLabelProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getRegexpExpressionFactoryEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getRegexpParserEmitter()`
`java.lang.String` `getRegexpParserName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getReorientLinkCommandEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getReorientLinkViewCommandEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getReorientRefLinkCommandEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getRulersAndGridPreferencePageEmitter()`
`java.lang.String` `getRulersAndGridPreferencePageName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getShortcutCreationWizardEmitter()`
`java.lang.String` `getShortcutCreationWizardName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.BinaryEmitter` `getShortcutImageEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getShortcutPropertyTesterEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getShortcutsDecoratorProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getTextNonResizableEditPolicyEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getTextSelectionEditPolicyEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getUpdateCommandEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getURIEditorInputTesterEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getValidateActionEmitter()`
`java.lang.String` `getValidateActionName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getValidationDecoratorProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getValidationMarkerEmitter()`
`java.lang.String` `getValidationMarkerName(java.lang.Object... input)`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getValidationProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getViewProviderEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getVisualIDRegistryEmitter()`
`org.eclipse.gmf.internal.common.codegen.BinaryEmitter` `getWizardBannerImageEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getWizardNewFileCreationPageEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getWorkbenchAdvisorEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getWorkbenchWindowAdvisorEmitter()`
`protected org.eclipse.gmf.internal.common.codegen.TextEmitter` `newXpandEmitter(java.lang.String definition)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodegenEmitters

    public CodegenEmitters(boolean useBaseTemplatesOnly,
                           java.lang.String templateDirectory,
                           boolean includeDynamicModelTemplates)

Method Detail

### createMergeService

    public org.eclipse.gmf.internal.common.codegen.TextMerger createMergeService()

  Returns:
    null if no merger is needed

### getJMergeControlFile

    public java.net.URL getJMergeControlFile()

### getCreateNodeCommandEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getCreateNodeCommandEmitter()
                                                                                    throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getCreateLinkCommandEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getCreateLinkCommandEmitter()
                                                                                    throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getCreateRefLinkCommandEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getCreateRefLinkCommandEmitter()
                                                                                       throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getReorientLinkCommandEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getReorientLinkCommandEmitter()
                                                                                      throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getReorientRefLinkCommandEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getReorientRefLinkCommandEmitter()
                                                                                         throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getReorientLinkViewCommandEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getReorientLinkViewCommandEmitter()
                                                                                          throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getCreateShortcutDecorationsCommandEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getCreateShortcutDecorationsCommandEmitter()
                                                                                                   throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getBaseEditHelperEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getBaseEditHelperEmitter()
                                                                                 throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getEditHelperEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getEditHelperEmitter()
                                                                             throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getEditHelperAdviceEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getEditHelperAdviceEmitter()
                                                                                   throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getDiagramEditPartEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getDiagramEditPartEmitter()
                                                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getNodeEditPartEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getNodeEditPartEmitter()
                                                                               throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getNodeLabelEditPartEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getNodeLabelEditPartEmitter()
                                                                                    throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getExternalNodeLabelEditPartEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getExternalNodeLabelEditPartEmitter()
                                                                                            throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getChildNodeLabelEditPartEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getChildNodeLabelEditPartEmitter()
                                                                                         throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getCompartmentEditPartEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getCompartmentEditPartEmitter()
                                                                                      throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getLinkEditPartEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getLinkEditPartEmitter()
                                                                               throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getLinkLabelEditPartEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getLinkLabelEditPartEmitter()
                                                                                    throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getEditPartFactoryEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getEditPartFactoryEmitter()
                                                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getBaseItemSemanticEditPolicyEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getBaseItemSemanticEditPolicyEmitter()

### getOpenDiagramEditPolicyEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getOpenDiagramEditPolicyEmitter()
                                                                                        throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getDiagramCanonicalEditPolicyEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getDiagramCanonicalEditPolicyEmitter()

### getChildContainerCanonicalEditPolicyEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getChildContainerCanonicalEditPolicyEmitter()

### getDiagramItemSemanticEditPolicyEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getDiagramItemSemanticEditPolicyEmitter()

### getCompartmentItemSemanticEditPolicyEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getCompartmentItemSemanticEditPolicyEmitter()

### getGraphicalNodeEditPolicyEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getGraphicalNodeEditPolicyEmitter()
                                                                                          throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getNodeItemSemanticEditPolicyEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getNodeItemSemanticEditPolicyEmitter()

### getLinkItemSemanticEditPolicyEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getLinkItemSemanticEditPolicyEmitter()

### getTextSelectionEditPolicyEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getTextSelectionEditPolicyEmitter()
                                                                                          throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getTextNonResizableEditPolicyEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getTextNonResizableEditPolicyEmitter()
                                                                                             throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getDiagramViewFactoryEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getDiagramViewFactoryEmitter()
                                                                                     throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getNodeViewFactoryEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getNodeViewFactoryEmitter()
                                                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getLabelNodeViewFactoryEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getLabelNodeViewFactoryEmitter()
                                                                                       throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getCompartmentViewFactoryEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getCompartmentViewFactoryEmitter()
                                                                                         throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getLinkViewFactoryEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getLinkViewFactoryEmitter()
                                                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getFloatingLabelViewFactoryEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getFloatingLabelViewFactoryEmitter()
                                                                                           throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getLabelViewFactoryEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getLabelViewFactoryEmitter()
                                                                                   throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getDiagramUpdaterEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getDiagramUpdaterEmitter()

### getUpdateCommandEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getUpdateCommandEmitter()

### getNodeDescriptorEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getNodeDescriptorEmitter()

### getLinkDescriptorEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getLinkDescriptorEmitter()

### getAbstractParserEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getAbstractParserEmitter()
                                                                                 throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getAbstractParserName

    public java.lang.String getAbstractParserName(java.lang.Object... input)
                                           throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getCompositeParserEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getCompositeParserEmitter()
                                                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getCompositeParserName

    public java.lang.String getCompositeParserName(java.lang.Object... input)
                                            throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getMessageFormatParserEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getMessageFormatParserEmitter()
                                                                                      throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getMessageFormatParserName

    public java.lang.String getMessageFormatParserName(java.lang.Object... input)
                                                throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getNativeParserEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getNativeParserEmitter()
                                                                               throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getNativeParserName

    public java.lang.String getNativeParserName(java.lang.Object... input)
                                         throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPrintfParserEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getPrintfParserEmitter()
                                                                               throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPrintfParserName

    public java.lang.String getPrintfParserName(java.lang.Object... input)
                                         throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getRegexpParserEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getRegexpParserEmitter()
                                                                               throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getRegexpParserName

    public java.lang.String getRegexpParserName(java.lang.Object... input)
                                         throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getParserProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getParserProviderEmitter()
                                                                                 throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getElementInitializersEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getElementInitializersEmitter()
                                                                                      throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getElementTypesEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getElementTypesEmitter()
                                                                               throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getViewProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getViewProviderEmitter()

### getEditPartProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getEditPartProviderEmitter()
                                                                                   throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getContributionItemProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getContributionItemProviderEmitter()
                                                                                           throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getModelingAssistantProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getModelingAssistantProviderEmitter()
                                                                                            throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getIconProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getIconProviderEmitter()
                                                                               throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getMarkerNavigationProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getMarkerNavigationProviderEmitter()
                                                                                           throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getValidationProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getValidationProviderEmitter()
                                                                                     throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getValidationDecoratorProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getValidationDecoratorProviderEmitter()
                                                                                              throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getShortcutsDecoratorProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getShortcutsDecoratorProviderEmitter()

### getMetricProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getMetricProviderEmitter()
                                                                                 throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getAbstractExpressionEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getAbstractExpressionEmitter()
                                                                                     throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getOCLExpressionFactoryEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getOCLExpressionFactoryEmitter()
                                                                                       throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getRegexpExpressionFactoryEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getRegexpExpressionFactoryEmitter()
                                                                                          throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPropertySheetLabelProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getPropertySheetLabelProviderEmitter()
                                                                                             throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPropertySectionEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getPropertySectionEmitter()
                                                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getValidateActionEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getValidateActionEmitter()
                                                                                 throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getValidateActionName

    public java.lang.String getValidateActionName(java.lang.Object... input)
                                           throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getValidationMarkerEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getValidationMarkerEmitter()
                                                                                   throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getValidationMarkerName

    public java.lang.String getValidationMarkerName(java.lang.Object... input)
                                             throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getDiagramContentInitializerEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getDiagramContentInitializerEmitter()

### getShortcutPropertyTesterEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getShortcutPropertyTesterEmitter()

### getShortcutCreationWizardName

    public java.lang.String getShortcutCreationWizardName(java.lang.Object... input)
                                                   throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getShortcutCreationWizardEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getShortcutCreationWizardEmitter()
                                                                                         throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getModelElementSelectionPageName

    public java.lang.String getModelElementSelectionPageName(java.lang.Object... input)
                                                      throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getModelElementSelectionPageEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getModelElementSelectionPageEmitter()
                                                                                            throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getInitDiagramFileActionName

    public java.lang.String getInitDiagramFileActionName(java.lang.Object... input)
                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getInitDiagramFileActionEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getInitDiagramFileActionEmitter()
                                                                                        throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getNewDiagramFileWizardName

    public java.lang.String getNewDiagramFileWizardName(java.lang.Object... input)
                                                 throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getNewDiagramFileWizardEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getNewDiagramFileWizardEmitter()

### getPaletteEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getPaletteEmitter()
                                                                          throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getDiagramEditorUtilEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getDiagramEditorUtilEmitter()
                                                                                    throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getVisualIDRegistryEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getVisualIDRegistryEmitter()

### getCreationWizardEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getCreationWizardEmitter()
                                                                                 throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getCreationWizardPageEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getCreationWizardPageEmitter()
                                                                                     throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getDeleteElementActionEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getDeleteElementActionEmitter()

### getDeleteElementActionName

    public java.lang.String getDeleteElementActionName(java.lang.Object... input)
                                                throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getDiagramEditorContextMenuProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getDiagramEditorContextMenuProviderEmitter()

### getDiagramEditorContextMenuProviderName

    public java.lang.String getDiagramEditorContextMenuProviderName(java.lang.Object... input)
                                                             throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getEditorEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getEditorEmitter()

### getCreateShortcutActionEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getCreateShortcutActionEmitter()

### getLoadResourceActionEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getLoadResourceActionEmitter()

### getElementChooserEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getElementChooserEmitter()

### getDocumentProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getDocumentProviderEmitter()

### getActionBarContributorEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getActionBarContributorEmitter()
                                                                                       throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getMatchingStrategyEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getMatchingStrategyEmitter()

### getDomainModelElementTesterEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getDomainModelElementTesterEmitter()

### getURIEditorInputTesterEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getURIEditorInputTesterEmitter()

### getShortcutImageEmitter

    public org.eclipse.gmf.internal.common.codegen.BinaryEmitter getShortcutImageEmitter()
                                                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getDiagramIconEmitter

    public org.eclipse.gmf.internal.common.codegen.BinaryEmitter getDiagramIconEmitter()
                                                                                throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getWizardBannerImageEmitter

    public org.eclipse.gmf.internal.common.codegen.BinaryEmitter getWizardBannerImageEmitter()
                                                                                      throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getModelAccessFacilityEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getModelAccessFacilityEmitter()

### getNavigatorContentProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getNavigatorContentProviderEmitter()

### getDomainNavigatorContentProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getDomainNavigatorContentProviderEmitter()

### getDomainNavigatorLabelProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getDomainNavigatorLabelProviderEmitter()

### getDomainNavigatorItemEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getDomainNavigatorItemEmitter()

### getNavigatorLabelProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getNavigatorLabelProviderEmitter()

### getNavigatorLinkHelperEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getNavigatorLinkHelperEmitter()

### getNavigatorSorterEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getNavigatorSorterEmitter()

### getNavigatorActionProviderEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getNavigatorActionProviderEmitter()

### getAbstractNavigatorItemEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getAbstractNavigatorItemEmitter()

### getNavigatorGroupEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getNavigatorGroupEmitter()

### getNavigatorItemEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getNavigatorItemEmitter()

### getGroupIconEmitter

    public org.eclipse.gmf.internal.common.codegen.BinaryEmitter getGroupIconEmitter()
                                                                              throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPreferenceInitializerEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getPreferenceInitializerEmitter()
                                                                                        throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPreferenceInitializerName

    public java.lang.String getPreferenceInitializerName(java.lang.Object... input)
                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getAppearancePreferencePageEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getAppearancePreferencePageEmitter()
                                                                                           throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getAppearancePreferencePageName

    public java.lang.String getAppearancePreferencePageName(java.lang.Object... input)
                                                     throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getConnectionsPreferencePageEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getConnectionsPreferencePageEmitter()
                                                                                            throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getConnectionsPreferencePageName

    public java.lang.String getConnectionsPreferencePageName(java.lang.Object... input)
                                                      throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getGeneralPreferencePageEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getGeneralPreferencePageEmitter()
                                                                                        throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getGeneralPreferencePageName

    public java.lang.String getGeneralPreferencePageName(java.lang.Object... input)
                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPrintingPreferencePageEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getPrintingPreferencePageEmitter()
                                                                                         throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPrintingPreferencePageName

    public java.lang.String getPrintingPreferencePageName(java.lang.Object... input)
                                                   throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getRulersAndGridPreferencePageEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getRulersAndGridPreferencePageEmitter()
                                                                                              throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getRulersAndGridPreferencePageName

    public java.lang.String getRulersAndGridPreferencePageName(java.lang.Object... input)
                                                        throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getActivatorEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getActivatorEmitter()
                                                                            throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getBundleManifestEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getBundleManifestEmitter()
                                                                                 throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPluginXmlEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getPluginXmlEmitter()
                                                                            throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPluginPropertiesEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getPluginPropertiesEmitter()
                                                                                   throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getBuildPropertiesEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getBuildPropertiesEmitter()
                                                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getOptionsFileEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getOptionsFileEmitter()
                                                                              throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getExternalizeEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getExternalizeEmitter()

### getMessagesEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getMessagesEmitter()

### getApplicationEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getApplicationEmitter()
                                                                              throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getActionBarAdvisorEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getActionBarAdvisorEmitter()
                                                                                   throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPerspectiveEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getPerspectiveEmitter()
                                                                              throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getWorkbenchAdvisorEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getWorkbenchAdvisorEmitter()
                                                                                   throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getWorkbenchWindowAdvisorEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getWorkbenchWindowAdvisorEmitter()
                                                                                         throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getWizardNewFileCreationPageEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getWizardNewFileCreationPageEmitter()
                                                                                            throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getMetaModelFacilityEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getMetaModelFacilityEmitter()

### newXpandEmitter

    protected org.eclipse.gmf.internal.common.codegen.TextEmitter newXpandEmitter(java.lang.String definition)

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.